package com.zd.system.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.zd.common.core.utils.DateUtils;
import com.zd.common.core.utils.SecurityUtils;
import com.zd.common.security.utils.SaveUtil;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zd.system.mapper.SysClassMapper;
import com.zd.system.domain.SysClass;
import com.zd.system.service.ISysClassService;

/**
 * 班级字典Service业务层处理
 *
 * @author zd
 * @date 2022-04-08
 */
@Service
public class SysClassServiceImpl implements ISysClassService
{
    @Autowired
    private SysClassMapper sysClassMapper;

    /**
     * 查询班级字典
     *
     * @param id 班级字典主键
     * @return 班级字典
     */
    @Override
    public SysClass selectSysClassById(Long id)
    {
        return sysClassMapper.selectSysClassById(id);
    }

    /**
     * 查询班级字典列表
     *
     * @param sysClass 班级字典
     * @return 班级字典
     */
    @Override
    public List<SysClass> selectSysClassList(SysClass sysClass)
    {
        return sysClassMapper.selectSysClassList(sysClass);
    }

    /**
     * 新增班级字典
     *
     * @param sysClass 班级字典
     * @return 结果
     */
    @Override
    public Map <String,Object> insertSysClass(SysClass sysClass)
    {
        //设置其他公共字段
        SaveUtil.setCommonAttr(sysClass);
        int flag = sysClassMapper.insertSysClass(sysClass);
        Map <String,Object> allMap = new HashMap<>();
        allMap.put("classObject",sysClass);
        if(flag>0){
            allMap.put("flag",true);
        }else{
            allMap.put("flag",false);
        }
        return allMap;
    }

    /**
     * 修改班级字典
     *
     * @param sysClass 班级字典
     * @return 结果
     */
    @Override
    public int updateSysClass(SysClass sysClass)
    {
        sysClass.setUpdateTime(DateUtils.getNowDate());
        sysClass.setUpdateBy(SecurityUtils.getUsername());
        return sysClassMapper.updateSysClass(sysClass);
    }

    /**
     * 批量删除班级字典
     *
     * @param ids 需要删除的班级字典主键
     * @return 结果
     */
    @Override
    public int deleteSysClassByIds(Long[] ids)
    {
        return sysClassMapper.deleteSysClassByIds(ids);
    }

    /**
     * 删除班级字典信息
     *
     * @param id 班级字典主键
     * @return 结果
     */
    @Override
    public int deleteSysClassById(Long id)
    {
        return sysClassMapper.deleteSysClassById(id);
    }
}
